<%# Copyright Contributors to the lint-changes project.

    This Source Code Form is subject to the terms of the Mozilla Public
    License, v. 2.0. If a copy of the MPL was not distributed with this
    file, You can obtain one at http://mozilla.org/MPL/2.0/.
-%>
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta charset="utf-8" />
  </head>
  <body>
    <h1>Licensing and copyright information</h1>

    <p>The licenses of some of the software used require reproduction
    of the license text and the copyright notices.</p>

    <p>All the software coming from the Linux distribution is documented at:
    <a href="<%=h report.distrib_path %>"><%= report.distrib_path -%></a>
    (look for the files inside the individual packages directories).</p>

    <p>For the rest, please see below.</p>

    <h2>Additionally included software</h2>
    <ul>
    <% report.deps.each do |dep| %>
      <% copyright = $copyrights[dep.name] -%>
      <li><a href="<%=h dep.link %>"><%=h dep.name %></a>
       <a href="<%=h dep.install_path %>"><%=h dep.version %></a>:
      <% if dep.license_identifier.nil? -%>
       <a href="<%=h dep.license_link %>"><strong><em>unknown license <%=h dep.license_identifier %></em></strong></a>
      </li>
        <% next -%>
      <% end -%>
       <a href="<%=h dep.license_link %>"><%=h dep.license_identifier %></a>
      <% if copyright -%>
      <pre>
<%=h copyright.strip -%>
      </pre>
      <% else -%>
        <p><strong><em>[Found no copyright information.]</em></strong></p>
      <% end -%>
      </li>
    <% end %>
    </ul>

    <h2>Used licenses not available elsewhere</h2>
    <% report.licenses.each do |license| %>
      <h3 id="<%=h license.name %>"><%=h license.name %></h3>
      <% if license.text != '' %>
        <pre>
<%=h license.text.strip -%>
        </pre>
      <% else %>
        See <a href="<%=h license.path %>">separate <%=h license.name %> license text</a>.
      <% end %>
    <% end %>

  </body>
</html>
